lucky_wbc
2009-05-05 14:59
浏览 171
已采纳

请教:netbeans IDE 6.5.1--ruby rails生成器无法使用。

按照 NetBeans IDE Ruby 快速入门教程操作,

6.找到以 ActiveRecord::Base 开头的以下两行,然后将它们注释掉。

Include Active Record class name as root for JSON serialized output.ActiveRecord::Base.include_root_in_json = true# Store the full class name (including module namespace) in STI type column.ActiveRecord::Base.store_full_sti_class = true

注意:这是 Rails 2.1 中的一个错误,我们将在以后的发行版中修复。

7.在“项目”窗口中,右键单击“模型”节点,然后从弹出式菜单中选择“生成”。

“Rails 生成器”对话框将打开,其中在“生成”下拉列表中选择了 model,如下图所示。

问题:我在第7步时右键单击“模型”节点,然后从弹出式菜单中选择“生成”按钮后没有反应,并没有文档说的会弹出Rails生成器,新手第一次使用,请问该怎么处理,谢谢。

[b]问题补充:[/b]
请问下netbeans6.5.1如果不用自带的jruby,而是自己安装ruby+rails,对ruby和rails的版本有限制?

  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

4条回答 默认 最新

  • horace_lee 2009-05-05 20:00
    已采纳

    ruby 1.8.7
    rails 2.2.2
    没有问题

    已采纳该答案
    打赏 评论
  • horace_lee 2009-05-05 15:59

    首先,我的NetBeans很好用,直接右击模块,生成,都很正常
    [img]/upload/attachment/100581/baebe98d-fcdd-3fd5-866b-0e2bb1e12dbc.png[/img]

    那么,给你的建议呢,

    1.试试打开一个已经完成的工程
    如果你不想找,可以下载[url=http://hinder.iteye.com/topics/download/fc389e2c-e6f9-38cd-ba6f-7a76247aa0d5]这个[/url]工程

    1. 试试,本地安装ruby 和rails然后,在netbeans里不选择,自带的,选择自己安装的。
    打赏 评论
  • horace_lee 2009-05-05 16:00

    下面是关于上面代码的介绍
    [url=http://hlee.iteye.com/admin/blogs/341123]一个经典的Rails AJAX 搜索 排序 和分页示例[/url]

    打赏 评论
  • lectery 2009-05-05 22:07

    检查一下工程的配置吧,这方面也会有问题。

    打赏 评论